ServerEvents.recipes(event => {
    event.remove({ output: 'botania:world_seed' })
    event.shaped(
        Item.of('botania:world_seed'),
        [
            'A',
            'B',
            'C'
        ],
        {
            A: 'minecraft:wheat_seeds',
            B: '#minecraft:dirt',
            C: 'mna:vinteum_dust'
        }
    )
    event.shaped(
        Item.of('botania:world_seed',64),
        [
            'A',
            'B',
            'C'
        ],
        {
            A: 'minecraft:wheat_seeds',
            B: '#minecraft:dirt',
            C: 'kubejs:world_core'
        }
    )
    event.remove({ output: 'botania:diluted_pool' })
    event.shaped(
        Item.of('botania:diluted_pool'),
        [
            'A A',
            'BAB'
        ],
        {
            A: 'botania:livingrock_slab',
            B: 'botania:livingrock'
        }
    )
    event.remove({ output: 'botania:mana_pool' })
    event.shaped(
        Item.of('botania:mana_pool'),
        [
            'ABA',
            'CDC'
        ],
        {
            A: 'botania:livingrock_slab',
            B: 'botania:mana_tablet',
            C: 'botania:livingrock',
            D: 'botania:diluted_pool'
        }
    )
    event.shapeless(
        Item.of('appbot:fluix_mana_pool'),
        [
            'botania:mana_pool',
            'ae2:interface'
        ]
    )
    event.remove({ output: 'botania:runic_altar' })
    event.shaped(
        Item.of('botania:runic_altar'),
        [
            'ABA',
            'ACA',
            'ADA'
        ],
        {
            A: 'botania:livingrock',
            B: [
                'botania:mana_diamond',
                'botania:mana_pearl',
                'botanicalmachinery:mana_emerald'
            ],
            C: 'create:depot',
            D: 'magichem:glass_orb'
        }
    )
    event.remove({ output: 'botania:terra_plate' })
    event.shaped(
        Item.of('botania:terra_plate'),
        [
            'ABA',
            'CDE',
            'FGH'
        ],
        {
            A: 'minecraft:lapis_block',
            B: 'botania:manasteel_block',
            C: 'botania:rune_water',
            D: 'naturesaura:sky_ingot_block',
            E: 'botania:rune_earth',
            F: 'botania:rune_air',
            G: 'botania:rune_mana',
            H: 'botania:rune_fire'
        }
    )
    event.shaped(
        Item.of('botania:pebble', 4),
        [
            'A'
        ],
        {
            A: 'minecraft:cobblestone'
        }
    )
    event.remove({ output: 'botania:mana_spreader' })
    event.shaped(
        Item.of('botania:mana_spreader'),
        [
            'AAA',
            'BC ',
            'AAA'
        ],
        {
            A: '#botania:livingwood_logs',
            B: 'minecraft:gold_ingot',
            C: '#botania:petals'
        }
    )
    event.remove({ output: 'botania:alfheim_portal' })
    event.shaped(
        Item.of('botania:alfheim_portal'),
        [
            'ABA',
            'CDC',
            'AEA'
        ],
        {
            A: '#botania:livingwood_logs',
            B: Item.of('occultism:dimensional_matrix'),
            C: 'botania:terrasteel_ingot',
            D: 'minecraft:conduit',
            E: 'mekanism:teleportation_core'
        }
    )
    event.remove({ output: 'botania:mana_pylon' })
    event.shaped(
        Item.of('botania:mana_pylon'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'botania:manasteel_ingot',
            B: 'minecraft:gold_ingot',
            C: 'botania:mana_diamond_block',
            D: Item.of('occultism:dimensional_matrix')
        }
    )
    event.remove({ output: 'botania:natura_pylon' })
    event.shaped(
        Item.of('botania:natura_pylon'),
        [
            ' A ',
            'BCB',
            ' D '
        ],
        {
            A: 'botania:terrasteel_ingot',
            B: '#botania:glimmering_livingwood_logs',
            C: 'botania:mana_pylon',
            D: Item.of('occultism:dimensional_matrix')
        }
    )
})